## python-wsme 0.8.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

ziphtml: html
	rm -f $(BUILDDIR)/wsme-documentation.zip
	cd $(BUILDDIR)/html && zip -r ../wsme-documentation.zip .

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/WebServicesMadeEasy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/WebServicesMadeEasy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/WebServicesMadeEasy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/WebServicesMadeEasy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== doc/requirements.txt ===
sphinx
cloud_sptheme

## python-wsme 0.5b1

=== debian/changelog ===
python-wsme (0.5b1-0ubuntu1) raring; urgency=low

  * Initial release.

 -- Yolanda Robla <yolanda.robla@canonical.com>  Fri, 01 Feb 2013 10:31:00 +0100

=== debian/control ===
Source: python-wsme
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9), python-setuptools,  python-all (>= 2.6.6-3~),
 python-six, python-transaction, python-d2to1
Standards-Version: 3.9.4
Homepage: http://pypi.python.org/pypi/WSME/0.5b1

Package: python-wsme
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Web Service Made Easy (WSME) 
 WSME simplifies the writing of REST web services by providing simple yet powerful 
 typing which removes the need to directly manipulate the request and the 
 response objects.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --with python2

get-orig-source:
	uscan --verbose --force-download --rename --repack --download-current-version --destdir=../build-area

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/W/WSME/WSME-(.*).tar.gz

## python-wsme 0.5b5

=== debian/changelog ===
python-wsme (0.5b5-1ubuntu2) saucy; urgency=low

  * d/p/fix_403_test_case.patch: Fixup test case for 403 error code;
    older versions of python-werkzeug handle this differently which
    creates issues in the Ubuntu Cloud Archive (LP: #1234291).

 -- James Page <james.page@ubuntu.com>  Wed, 02 Oct 2013 17:51:52 +0100

python-wsme (0.5b5-1ubuntu1) saucy; urgency=low

  * debian/control: Add python-flask as a dependency.
  * debian/rules: Run the flasks tests specifically.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 23 Sep 2013 11:18:40 -0400

python-wsme (0.5b5-1ubuntu0) saucy; urgency=low

  * New upstream version. 
  * debian/control: Add build-depends for python-pbr.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Sep 2013 08:54:00 -0400

python-wsme (0.5b2-2ubuntu5) saucy; urgency=low

  * Build depend on python{3}-webob, python{3}-six, and python{3}-simplegeneric
    to fix FTBFS due to the build system attempting to download them from pypi
    in order to run the test suite (LP: #1208203).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 04 Aug 2013 12:19:58 -0400

python-wsme (0.5b2-2ubuntu4) saucy; urgency=low

  * debian/control: Add python-nose, python3-nose,
    python3-cherrypy, and python-cherrypy as build
    dependencies.
  * debian/rules: Enable testsuite. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 31 Jul 2013 13:47:35 -0400

python-wsme (0.5b2-2ubuntu3) saucy; urgency=low

  * debian/control: Add python-six and python-webob 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 19 Jun 2013 17:16:09 -0500

python-wsme (0.5b2-2ubuntu2) saucy; urgency=low

  * debian/control, debian/rules: Build for python2/python3. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 19 Jun 2013 15:00:05 -0500

python-wsme (0.5b2-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Add python-d2to1 to Build-Depends to fix FTBFS without
      Internet connection.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 20 May 2013 02:08:28 -0400

python-wsme (0.5b2-2) unstable; urgency=low

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 12 May 2013 12:15:15 +0000

python-wsme (0.5b2-1ubuntu1) saucy; urgency=low

  * debian/control: Add python-d2to1 to Build-Depends to fix FTBFS without
    Internet connection.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 27 Apr 2013 12:07:21 -0400

python-wsme (0.5b2-1) experimental; urgency=low

  * New upstream release (Closes: #706238).

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Apr 2013 13:06:20 +0800

python-wsme (0.5b1-1) experimental; urgency=low

  * Initial release (Closes: #701521).

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Oct 2012 11:55:15 +0000

=== debian/control ===
Source: python-wsme
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9), python-setuptools,  python-all (>= 2.6.6-3~), python-d2to1,
 python3-setuptools, python3-all, python3-d2to1, python3-nose, python-cherrypy3, python-webob,
 python3-webob, python-six, python3-six, python-simplegeneric, python3-simplegeneric, python-flask,
 python-pbr, python3-pbr, python-nose
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-wsme.git
Vcs-Git: git://anonscm.debian.org/openstack/python-wsme.git
Homepage: http://pythonhosted.org/WSME/

Package: python-wsme
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${python:Depends}, ${misc:Depends}, python-six, python-webob
Description: Web Services Made Easy makes it easy to implement multi-protocol webservices
 Web Service Made Easy (WSME) simplify the writing of REST web services by
 providing simple yet powerful typing which removes the need to directly
 manipulate the request and the response objects.
 .
 WSME can work standalone or on top of your favorite Python web (micro)
 framework, so you can use both your preferred way of routing your REST requests
 and most of the features of WSME that rely on the typing system like:
 .
  * Alternate protocols, including ones supporting batch-calls
  * Easy documentation through a Sphinx extension
 .
 WSME is originally a rewrite of TGWebServices with focus on extensibility,
 framework-independance and better type handling.

Package: python3-wsme
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${python3:Depends}, ${misc:Depends}, python3-six, python3-webob
Description: Web Services Made Easy makes it easy to implement multi-protocol webservices
 Web Service Made Easy (WSME) simplify the writing of REST web services by
 providing simple yet powerful typing which removes the need to directly
 manipulate the request and the response objects.
 .
 WSME can work standalone or on top of your favorite Python web (micro)
 framework, so you can use both your preferred way of routing your REST requests
 and most of the features of WSME that rely on the typing system like:
 .
  * Alternate protocols, including ones supporting batch-calls
  * Easy documentation through a Sphinx extension
 .
 WSME is originally a rewrite of TGWebServices with focus on extensibility,
 framework-independance and better type handling.

## python-wsme 0.5b6

=== debian/changelog ===
python-wsme (0.5b6-1) unstable; urgency=low

  * New upstream release (Closes: #725652).
  * Removes now useless MANIFEST.in patch (that file is gone upstream...).
  * Switched back to pristine-tar type of Git repo:
    - Adds extend-diff-ignore = "^[^/]*[.]egg-info/" in debian/source/option,
    since the upstream tarballs now includes an egg-info which is modified at
    build time.
    - Changes debian/gbp.conf
  * Cleans cleanly.
  * Adds upstream patch (not released): Fix_SyntaxWarning_under_Python_3.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Oct 2013 00:04:46 +0800

python-wsme (0.5b5-4) unstable; urgency=low

  * Patches MANIFEST.in to include stuff in wsme/rest.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Oct 2013 18:29:09 +0000

python-wsme (0.5b5-3) unstable; urgency=low

  * Adds support for Python 3.
  * Adds multiple new (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Sat, 05 Oct 2013 00:55:03 +0800

python-wsme (0.5b5-2) unstable; urgency=low

  * Added missing build-depends: python3-pbr.

 -- Thomas Goirand <zigo@debian.org>  Sat, 05 Oct 2013 00:40:33 +0800

python-wsme (0.5b5-1) unstable; urgency=low

  * New upstream release.
  * Switched to git upstream tags instead of tarballs, and now using
    openstack-pkg-tools.
  * Added support for Python3.
  * Fixed debian/copyright (new authors, s/MIT/Expat/).
  * Added export OSLO_PACKAGE_VERSION=$(VERSION) in debian/rules.
  * Added new and missing (build-)depends.
  * Now calling nosetests on build.
  * Added lots of build-depends for the nosetests.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Oct 2013 14:11:18 +0800

=== debian/control ===
Source: python-wsme
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-d2to1,
               python-pbr (>= 0.5.21),
               python-setuptools,
               python3-all,
               python3-d2to1,
               python3-pbr (>= 0.5.21),
               python3-setuptools
Build-Depends-Indep: python-cherrypy3,
                     python-flask,
                     python-lxml,
                     python-nose,
                     python-pecan,
                     python-simplegeneric,
                     python-six,
                     python-sphinx,
                     python-suds,
                     python-testtools,
                     python-transaction,
                     python-webob,
                     python-webtest,
                     python3-lxml,
                     python3-nose,
                     python3-simplegeneric,
                     python3-six,
                     python3-testtools,
                     python3-webob
# python-cornice, python-colander
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-wsme.git
Vcs-Git: git://anonscm.debian.org/openstack/python-wsme.git
Homepage: http://pythonhosted.org/WSME/

Package: python-wsme
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-jinja2,
         python-simplegeneric,
         python-simplejson,
         python-six,
         python-webob,
         ${misc:Depends},
         ${python:Depends}
Recommends: ${python:Recommends}
Description: Web Services Made Easy: implement multi-protocol webservices - Python 2.x
 Web Service Made Easy (WSME) simplify the writing of REST web services by
 providing simple yet powerful typing which removes the need to directly
 manipulate the request and the response objects.
 .
 WSME can work standalone or on top of your favorite Python web (micro)
 framework, so you can use both your preferred way of routing your REST requests
 and most of the features of WSME that rely on the typing system like:
 .
  * Alternate protocols, including ones supporting batch-calls
  * Easy documentation through a Sphinx extension
 .
 WSME is originally a rewrite of TGWebServices with focus on extensibility,
 framework-independance and better type handling.
 .
 This package provides the Python 2.x module.

Package: python3-wsme
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python3-jinja2,
         python3-simplegeneric,
         python3-simplejson,
         python3-six,
         python3-webob,
         ${misc:Depends},
         ${python3:Depends}
Recommends: ${python3:Recommends}
Description: Web Services Made Easy: implement multi-protocol webservices - Python 3.x
 Web Service Made Easy (WSME) simplify the writing of REST web services by
 providing simple yet powerful typing which removes the need to directly
 manipulate the request and the response objects.
 .
 WSME can work standalone or on top of your favorite Python web (micro)
 framework, so you can use both your preferred way of routing your REST requests
 and most of the features of WSME that rely on the typing system like:
 .
  * Alternate protocols, including ones supporting batch-calls
  * Easy documentation through a Sphinx extension
 .
 WSME is originally a rewrite of TGWebServices with focus on extensibility,
 framework-independance and better type handling.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/stackforge/wsme.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-wsme; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-wsme; \
	done

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .test_sphinxext build

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
#	set -e && for pyvers in $(PYTHON3S); do \
#		python$$pyvers setup.py test; \
#	done
	nosetests || true
endif

## python-wsme 0.6

=== debian/changelog ===
python-wsme (0.6-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1292579):
    - d/control: Add BD on python{3}-ipaddr.
    - d/p/*: Drop all patches, accepted upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 14 Mar 2014 16:24:51 +0000

python-wsme (0.5b6-0ubuntu3) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:53:34 +0000

python-wsme (0.5b6-0ubuntu2) trusty; urgency=low

  * debian/control: Add versioned dependency for python-six. 
    (LP: #1259203)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Dec 2013 10:18:39 -0500

python-wsme (0.5b6-0ubuntu1) trusty; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 24 Oct 2013 11:20:57 -0700

=== debian/control ===
Source: python-wsme
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9), python-setuptools,  python-all (>= 2.6.6-3~), python-d2to1,
 python3-setuptools, python3-all, python3-d2to1, python3-nose, python-cherrypy3, python-webob,
 python3-webob, python-six (>= 1.4.1), python3-six (>= 1.4.1), python-simplegeneric, python3-simplegeneric, python-flask,
 python-pbr, python3-pbr, python-nose, python-ipaddr, python3-ipaddr
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-wsme.git
Vcs-Git: git://anonscm.debian.org/openstack/python-wsme.git
Homepage: http://pythonhosted.org/WSME/

Package: python-wsme
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${python:Depends}, ${misc:Depends}, python-six, python-webob
Description: Web Services Made Easy makes it easy to implement multi-protocol webservices
 Web Service Made Easy (WSME) simplify the writing of REST web services by
 providing simple yet powerful typing which removes the need to directly
 manipulate the request and the response objects.
 .
 WSME can work standalone or on top of your favorite Python web (micro)
 framework, so you can use both your preferred way of routing your REST requests
 and most of the features of WSME that rely on the typing system like:
 .
  * Alternate protocols, including ones supporting batch-calls
  * Easy documentation through a Sphinx extension
 .
 WSME is originally a rewrite of TGWebServices with focus on extensibility,
 framework-independance and better type handling.

Package: python3-wsme
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${python3:Depends}, ${misc:Depends}, python3-six, python3-webob
Description: Web Services Made Easy makes it easy to implement multi-protocol webservices
 Web Service Made Easy (WSME) simplify the writing of REST web services by
 providing simple yet powerful typing which removes the need to directly
 manipulate the request and the response objects.
 .
 WSME can work standalone or on top of your favorite Python web (micro)
 framework, so you can use both your preferred way of routing your REST requests
 and most of the features of WSME that rely on the typing system like:
 .
  * Alternate protocols, including ones supporting batch-calls
  * Easy documentation through a Sphinx extension
 .
 WSME is originally a rewrite of TGWebServices with focus on extensibility,
 framework-independance and better type handling.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@  --with python2,python3

override_dh_auto_build:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py build; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py build; \
	done

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-wsme; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-wsme; \
	done

override_dh_auto_test:
	set -e && for pyvers in $(PYTHONS); do \
		nosetests  tests/test_flask.py; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py test; \
	done
	

override_dh_clean:
	dh_clean
	rm -rf d2to1-*-py2.*.egg build

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/W/WSME/WSME-(.*).tar.gz

## python-wsme 0.6.4

=== debian/changelog ===
python-wsme (0.6.4-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - d/rules: Switch to executing pecan unit tests until flask-restful
      packaging is completed.
    - d/control: Add BD's on python{3}-pecan and python3-nose.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Jan 2015 12:12:19 +0000

python-wsme (0.6-3ubuntu1) utopic; urgency=medium

  * Restore Ubuntu version of the package after previous mistaken upload of
    Debian version. LP: #1346056.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Aug 2014 13:16:45 +0200

python-wsme (0.6-2ubuntu1) utopic; urgency=medium

  * Restore Ubuntu version of the package after previous mistaken upload of
    Debian version
  * Drop python3-ipaddr since it's provided as ipaddress in python3.3 and
    later

 -- Scott Kitterman <scott@kitterman.com>  Sat, 17 May 2014 14:27:42 -0400

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,10 @@
            Mehdi Abaakouk <sileht@sileht.net>
 Build-Depends: debhelper (>= 9), python-setuptools,  python-all (>= 2.6.6-3~), python-d2to1,
  python3-setuptools, python3-all, python3-d2to1, python3-nose, python-cherrypy3, python-webob,
- python3-webob, python-six (>= 1.4.1), python3-six (>= 1.4.1), python-simplegeneric, python3-simplegeneric, python-flask,
- python-pbr, python3-pbr, python-nose, python-ipaddr, python3-ipaddr
+ python3-webob, python-six (>= 1.4.1), python3-six (>= 1.4.1), python-simplegeneric, python3-simplegeneric,
+ python-pbr, python3-pbr, python-nose, python-ipaddr, python-pecan, python3-pecan, python3-nose
 Standards-Version: 3.9.4
+X-Python3-Version: >= 3.3
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-wsme.git
 Vcs-Git: git://anonscm.debian.org/openstack/python-wsme.git
 Homepage: http://pythonhosted.org/WSME/

=== debian/rules ===
--- 
+++ 
@@ -27,13 +27,8 @@
 	done
 
 override_dh_auto_test:
-	set -e && for pyvers in $(PYTHONS); do \
-		nosetests  tests/test_flask.py; \
-	done
-	set -e && for pyvers in $(PYTHON3S); do \
-		python$$pyvers setup.py test; \
-	done
-	
+	nosetests tests/pecantest
+	nosetests3 tests/pecantest
 
 override_dh_clean:
 	dh_clean

## python-wsme 0.8.0

=== debian/changelog ===
python-wsme (0.8.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Added missing python-netaddr (build-)depends.
  * Added PYTHONPATH=. when running unit tests.
  * Standards-Version is now 3.9.6.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 06:56:50 +0000

python-wsme (0.8.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/rules removes the .pth file.
  * Added missing python3-webtest build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Sep 2015 22:18:18 +0200

python-wsme (0.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed all patches, now obsolete in Jessie.
  * Fixed watch file.
  * Also runs unit tests in Py3.

 -- Thomas Goirand <zigo@debian.org>  Sat, 01 Aug 2015 09:39:22 +0200

python-wsme (0.6-3) unstable; urgency=medium

  * Drop depends on the removed python3-ipaddr if not building in Wheezy, and
    rely on ipaddress included in python3.3 and later (Closes: #748472). Thanks
    to Scott Kitterman <debian@kitterman.com> for his report and help.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 May 2014 18:55:35 +0800

python-wsme (0.6-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2014 10:05:42 +0800

python-wsme (0.6-1) experimental; urgency=medium

  * New upstream release.
  * Removed debian/patches/Fix_SyntaxWarning_under_Python_3.patch now applied
    upstream.
  * Adds a patch to fix a unicode string not compatible with Python 3.2.

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Mar 2014 17:58:30 +0800

=== debian/control ===
Source: python-wsme
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools,
               python3-sphinx,
Build-Depends-Indep: lsb-release,
                     python-cherrypy3,
                     python-flask,
                     python-ipaddr,
                     python-lxml,
                     python-netaddr (>= 0.7.12),
                     python-nose,
                     python-pecan,
                     python-simplegeneric,
                     python-six,
                     python-sqlalchemy,
                     python-suds,
                     python-testtools,
                     python-transaction,
                     python-turbogears2,
                     python-tz,
                     python-webob,
                     python-webtest,
                     python3-flask,
                     python3-lxml,
                     python3-netaddr,
                     python3-nose,
                     python3-pecan,
                     python3-simplegeneric,
                     python3-six,
                     python3-sqlalchemy,
                     python3-testtools,
                     python3-transaction,
                     python3-tz,
                     python3-webob,
                     python3-webtest,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-wsme.git
Vcs-Git: git://anonscm.debian.org/openstack/python-wsme.git
Homepage: http://pythonhosted.org/WSME/

Package: python-wsme
Architecture: all
Depends: python-ipaddr,
         python-jinja2,
         python-netaddr (>= 0.7.12),
         python-simplegeneric,
         python-simplejson,
         python-six,
         python-tz,
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Recommends: ${python:Recommends},
Description: Web Services Made Easy: implement multi-protocol webservices - Python 2.x
 Web Service Made Easy (WSME) simplify the writing of REST web services by
 providing simple yet powerful typing which removes the need to directly
 manipulate the request and the response objects.
 .
 WSME can work standalone or on top of your favorite Python web (micro)
 framework, so you can use both your preferred way of routing your REST requests
 and most of the features of WSME that rely on the typing system like:
 .
  * Alternate protocols, including ones supporting batch-calls
  * Easy documentation through a Sphinx extension
 .
 WSME is originally a rewrite of TGWebServices with focus on extensibility,
 framework-independance and better type handling.
 .
 This package provides the Python 2.x module.

Package: python3-wsme
Architecture: all
Depends: python-netaddr (>= 0.7.12),
         python3-jinja2,
         python3-simplegeneric,
         python3-simplejson,
         python3-six,
         python3-tz,
         python3-webob,
         ${misc:Depends},
         ${python3:Depends},
         ${wheezy-added-deps},
Recommends: ${python3:Recommends},
Description: Web Services Made Easy: implement multi-protocol webservices - Python 3.x
 Web Service Made Easy (WSME) simplify the writing of REST web services by
 providing simple yet powerful typing which removes the need to directly
 manipulate the request and the response objects.
 .
 WSME can work standalone or on top of your favorite Python web (micro)
 framework, so you can use both your preferred way of routing your REST requests
 and most of the features of WSME that rely on the typing system like:
 .
  * Alternate protocols, including ones supporting batch-calls
  * Easy documentation through a Sphinx extension
 .
 WSME is originally a rewrite of TGWebServices with focus on extensibility,
 framework-independance and better type handling.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/stackforge/wsme.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-wsme; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-wsme; \
	done
	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .test_sphinxext build

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
#	set -e && for pyvers in $(PYTHON3S); do \
#		python$$pyvers setup.py test; \
#	done
	PYTHONPATH=. nosetests -v || true
	PYTHONPATH=. nosetests3 -v || true
endif

override_dh_gencontrol:
	RELCODE=`lsb_release -a | grep Codename | awk '{print $$2}'` && \
		if [ $$RELCODE = "wheezy" ] || [ $$RELCODE = "precise" ] ; then \
			dh_gencontrol -- -T$(CURDIR)/debian/wheezy_deps ; \
		else \
			dh_gencontrol ; \
		fi

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/stackforge/wsme/tags .*/(\d[\d\.]+)\.tar\.gz

## python-wsme 0.9.2

=== requirements.txt ===
six>=1.9.0
WebOb>=1.2.3
simplegeneric
pytz
netaddr>=0.7.12

=== doc/requirements.txt ===
sphinx
cloud_sptheme
-r ../requirements.txt

=== debian/changelog ===
python-wsme (0.9.2-0ubuntu2) artful; urgency=medium

  * d/control: Add explicit runtime dependency on pkg-resources,
    resolving DEP-8 test failure under Python 2.7.

 -- James Page <james.page@ubuntu.com>  Sun, 30 Apr 2017 12:49:28 +0200

python-wsme (0.9.2-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/watch: Point to tarballs.openstack.org
  * d/control: Add dep8 tests.
  * New upstream release.
  * 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 14 Feb 2017 10:15:56 -0500

python-wsme (0.8.0-2ubuntu2) xenial; urgency=medium

  * d/control: Drop python3-transaction from BD's.

 -- James Page <james.page@ubuntu.com>  Mon, 08 Feb 2016 22:26:23 +0000

python-wsme (0.8.0-2ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Drop BD's on python-transaction and python-turbogears2.
    - d/rules: Limit unit tests to pecan tests only.
    - d/control: Add missing BD on pecan.
  * Dropped changes, included in Debian:
    - d/control: Add missing BD on netaddr.

 -- James Page <james.page@ubuntu.com>  Thu, 04 Feb 2016 16:46:53 +0000

python-wsme (0.8.0-1ubuntu1) wily; urgency=medium

  * Resync with Debian experimental, remaining changes:
    - d/control: Drop BD's on python-transaction and python-turbogears2.
    - d/rules: Limit unit tests to pecan tests only.
  * d/control: Add missing BD's on netaddr and pecan.

 -- James Page <james.page@ubuntu.com>  Wed, 16 Sep 2015 10:14:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-wsme
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
@@ -23,38 +24,37 @@
                      python-nose,
                      python-pecan,
                      python-simplegeneric,
-                     python-six,
+                     python-six (>= 1.9.0),
                      python-sqlalchemy,
                      python-suds,
                      python-testtools,
-                     python-transaction,
-                     python-turbogears2,
                      python-tz,
-                     python-webob,
+                     python-webob (>= 1.2.3),
                      python-webtest,
                      python3-flask,
                      python3-lxml,
-                     python3-netaddr,
+                     python3-netaddr (>= 0.7.12),
                      python3-nose,
                      python3-pecan,
                      python3-simplegeneric,
-                     python3-six,
+                     python3-six (>= 1.9.0),
                      python3-sqlalchemy,
                      python3-testtools,
-                     python3-transaction,
                      python3-tz,
-                     python3-webob,
+                     python3-webob (>= 1.2.3),
                      python3-webtest,
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-wsme.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-wsme.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-wsme
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-wsme
 Homepage: http://pythonhosted.org/WSME/
+Testsuite: autopkgtest-pkg-python
 
 Package: python-wsme
 Architecture: all
 Depends: python-ipaddr,
          python-jinja2,
          python-netaddr (>= 0.7.12),
+         python-pkg-resources,
          python-simplegeneric,
          python-simplejson,
          python-six,
@@ -84,6 +84,7 @@
 Architecture: all
 Depends: python-netaddr (>= 0.7.12),
          python3-jinja2,
+         python3-pkg-resources,
          python3-simplegeneric,
          python3-simplejson,
          python3-six,

=== debian/rules ===
--- 
+++ 
@@ -31,8 +31,8 @@
 #	set -e && for pyvers in $(PYTHON3S); do \
 #		python$$pyvers setup.py test; \
 #	done
-	PYTHONPATH=. nosetests -v || true
-	PYTHONPATH=. nosetests3 -v || true
+	PYTHONPATH=. nosetests -v tests/pecantest
+	PYTHONPATH=. nosetests3 -v tests/pecantest
 endif
 
 override_dh_gencontrol:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/WSME/WSME-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-wsme 0.9.3

=== debian/changelog ===
python-wsme (0.9.3-3) unstable; urgency=medium

  * Use debhelper-compat instead of debian/compat.
  * Removed Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Sat, 20 Jul 2019 20:20:17 +0200

python-wsme (0.9.3-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 17:17:06 +0200

python-wsme (0.9.3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Aug 2018 08:07:48 +0200

python-wsme (0.8.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/rules: Changed UPSTREAM_GIT to new URL
  * d/copyright: Changed source URL to new one

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * Add python-pkg-resources as runtime depends (Closes: #896247, #896209).

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Apr 2018 15:09:03 +0000

=== debian/control ===
Source: python-wsme
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-sphinx,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 lsb-release,
 python3-cherrypy3,
 python3-flask,
 python3-lxml,
 python3-netaddr,
 python3-nose,
 python3-pecan,
 python3-simplegeneric,
 python3-six,
 python3-sqlalchemy,
 python3-testtools,
 python3-transaction,
 python3-tz,
 python3-webob,
 python3-webtest,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-wsme
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-wsme.git
Homepage: http://pythonhosted.org/WSME/

Package: python3-wsme
Architecture: all
Depends:
 python3-netaddr,
 python3-jinja2,
 python3-pkg-resources,
 python3-simplegeneric,
 python3-simplejson,
 python3-six,
 python3-tz,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
 ${wheezy-added-deps},
Recommends:
 ${python3:Recommends},
Description: Web Services Made Easy: implement multi-protocol webservices - Python 3.x
 Web Service Made Easy (WSME) simplify the writing of REST web services by
 providing simple yet powerful typing which removes the need to directly
 manipulate the request and the response objects.
 .
 WSME can work standalone or on top of your favorite Python web (micro)
 framework, so you can use both your preferred way of routing your REST requests
 and most of the features of WSME that rely on the typing system like:
 .
  * Alternate protocols, including ones supporting batch-calls
  * Easy documentation through a Sphinx extension
 .
 WSME is originally a rewrite of TGWebServices with focus on extensibility,
 framework-independance and better type handling.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/wsme.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf .test_sphinxext build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. nosetests3 -v || true
endif

override_dh_gencontrol:
	RELCODE=`lsb_release -a | grep Codename | awk '{print $$2}'` && \
		if [ $$RELCODE = "wheezy" ] || [ $$RELCODE = "precise" ] ; then \
			dh_gencontrol -- -T$(CURDIR)/debian/wheezy_deps ; \
		else \
			dh_gencontrol ; \
		fi

## python-wsme 0.10.0

=== requirements.txt ===
six>=1.9.0
WebOb>=1.8.0
simplegeneric
pytz
netaddr>=0.7.12

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4' # BSD

=== debian/changelog ===
python-wsme (0.10.0-3) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed watch file.
  * Add a debian/salsa-ci.yml.
  * Add py3.9-use-base64.encodebytes-not-base64.encodestring.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 17:03:17 +0200

python-wsme (0.10.0-2) experimental; urgency=medium

  * Imposes python3-flask >= 1.1.0 in build-depends.
  * Up debhelper-compat to 11.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 09:04:47 +0200

python-wsme (0.10.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.

  [ Thomas Goirand ]
  * Fixed Homepage URL.
  * Fix d/copyright and d/rules uptream URL.
  * New upstream release.
  * Added python3-flask-restful as build-depends.
  * Run tests with all Python 3 versions, do not allow tests to fail.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 08:47:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,9 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 9),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools (>= 99~),
- python3-sphinx,
  python3-all,
  python3-pbr,
  python3-setuptools,
@@ -16,7 +15,8 @@
 Build-Depends-Indep:
  lsb-release,
  python3-cherrypy3,
- python3-flask,
+ python3-flask (>= 1.1.0),
+ python3-flask-restful,
  python3-lxml,
  python3-netaddr,
  python3-nose,
@@ -32,13 +32,13 @@
 Standards-Version: 4.1.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-wsme
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-wsme.git
-Homepage: http://pythonhosted.org/WSME/
+Homepage: https://opendev.org/x/wsme
 
 Package: python3-wsme
 Architecture: all
 Depends:
+ python3-jinja2,
  python3-netaddr,
- python3-jinja2,
  python3-pkg-resources,
  python3-simplegeneric,
  python3-simplejson,

## python-wsme 0.11.0

=== requirements.txt ===
WebOb>=1.8.0
simplegeneric
pytz
netaddr>=0.7.12

=== doc/requirements.txt ===
sphinx>=3.0.0 # BSD

=== debian/changelog ===
python-wsme (0.11.0-5) unstable; urgency=medium

  * Cleans better (Closes: #1046977).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 12:01:19 +0200

python-wsme (0.11.0-4) unstable; urgency=medium

  * Using python3-pytest instead of python3-nose (Closes: #1018594).
  * Add python3-mock as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Aug 2023 16:30:44 +0200

python-wsme (0.11.0-3) unstable; urgency=medium

  * Add py3.11-use-inspect.getfullargspec....patch (Closes: #1026473).
  * Fix d/copyright ordering and years.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Dec 2022 16:43:33 +0100

python-wsme (0.11.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 13:52:21 +0200

python-wsme (0.11.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from (build-)depends.
  * Removed py3.9-use-base64.encodebytes-not-base64.encodestring.patch applied
    upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Aug 2021 11:54:43 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,16 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT := https://github.com/openstack/wsme.git
+UPSTREAM_GIT := https://opendev.org/x/wsme
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
 	dh $@ --buildsystem=python_distutils --with python3
 
 override_dh_auto_clean:
-	rm -rf .test_sphinxext build
+	rm -rf .test_sphinxext .pytest_cache
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -19,7 +22,9 @@
 	pkgos-dh_auto_install --no-py2
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. nosetests3 -v || true
+	set -e ; set -x ; for pyvers in $(PYTHON3S) ; do \
+		PYTHONPATH=. python$$pyvers -m pytest -v tests ; \
+	done
 endif
 
 override_dh_gencontrol:
